> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aion.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get GPU cluster



## OpenAPI

````yaml GET /api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters/{externalId}
openapi: 3.0.3
info:
  title: Orchestrator GPU Cluster API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/accounts/{accountId}/projects/{projectId}/gpu-clusters/{externalId}:
    get:
      tags:
        - GpuClusters
      summary: Get GPU cluster
      parameters:
        - in: path
          name: accountId
          required: true
          schema:
            type: string
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - in: path
          name: externalId
          required: true
          schema:
            type: string
        - in: header
          name: x-account-id
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGpuClusterResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    GetGpuClusterResponse:
      type: object
      properties:
        cluster:
          $ref: '#/components/schemas/GpuClusterDTO'
        message:
          type: string
      required:
        - cluster
        - message
    GpuClusterDTO:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
        account_id:
          type: string
        project_id:
          type: string
        metadata:
          type: string
        resources:
          type: array
          items:
            $ref: '#/components/schemas/ServiceResource'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - name
        - status
        - account_id
        - project_id
        - created_at
        - updated_at
    ServiceResource:
      type: object
      properties:
        external_id:
          type: string
        name:
          type: string
        resource_type:
          type: string
        status:
          type: string
        primary_ip:
          type: string
        created_at:
          type: string
          format: date-time
      required:
        - external_id
        - name
        - resource_type
        - status
        - created_at

````